com.pivotal.gemfirexd.internal.client.net

## Class TxID

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.TxID

    public final class TxID
    extends Object

This is just a container to keep the server side TXID generated.

### Constructor Summary

Constructors
Constructor and Description
`TxID(long memberID, long uniqueID)`

### Method Summary

Methods
`long` `getMemberId()`
`long` `getUniqId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxID

    public TxID(long memberID,
        long uniqueID)

### Method Detail

#### getMemberId

    public long getMemberId()

#### getUniqId

    public long getUniqId()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`